# Interface JmolStatusListener

All Superinterfaces:
  `JmolCallbackListener`

All Known Implementing Classes:
  `GenericApplet, Jmol, StatusListener`

public interface JmolStatusListener extends JmolCallbackListener

## Method Summary

Modifier and Type
Method
Description
`String`
`createImage(String fileName, String type, Object text_or_bytes, int quality)`
Starting with Jmol 11.8.RC5, for a context where the Jmol application is embedded in another application simply to send the returned message to the application.
`String`
`eval(String strEval)`
`float[][]`
`functionXY(String functionName, int x, int y)`
for isosurface FUNCTIONXY
`float[][][]`
`functionXYZ(String functionName, int nx, int ny, int nz)`
for isosurface FUNCTIONXYZ
`Map<String,Object>`
`getJSpecViewProperty(String type)`
`Map<String,Object>`
`getRegistryInfo()`
`int[]`
`resizeInnerPanel(String data)`
`void`
`showUrl(String url)`

### Methods inherited from interface JmolCallbackListener

`notifyCallback, notifyEnabled, setCallbackFunction`

## Method Details

### eval

String eval(String strEval)

### functionXY

float[][] functionXY(String functionName, int x, int y)
for isosurface FUNCTIONXY

Parameters:
  `functionName` -
  `x` -
  `y` -
Returns:
  2D array or null

### functionXYZ

float[][][] functionXYZ(String functionName, int nx, int ny, int nz)
for isosurface FUNCTIONXYZ

Parameters:
  `functionName` -
  `nx` -
  `ny` -
  `nz` -
Returns:
  3D array or null

### createImage

String createImage(String fileName, String type, Object text_or_bytes, int quality)
Starting with Jmol 11.8.RC5, for a context where the Jmol application is embedded in another application simply to send the returned message to the application. In this way any application can have access to the WRITE command.

Parameters:
  `fileName` -
  `type` -
  `text_or_bytes` - information or null indicates message AFTER Jmol creates the image
  `quality` -
Returns:
  null (canceled) or a message starting with OK or an error message

### getRegistryInfo

Map<String,Object> getRegistryInfo()

### showUrl

void showUrl(String url)

### resizeInnerPanel

int[] resizeInnerPanel(String data)

### getJSpecViewProperty

Map<String,Object> getJSpecViewProperty(String type)